Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Sirius » Question about incompatibilities
Question about incompatibilities [message #1384985] Tue, 03 June 2014 09:16 Go to next message
Ignacio Arechaga Fernandez is currently offline Ignacio Arechaga Fernandez
Messages: 14
Registered: May 2014
Location: Madrid
Junior Member
Hi all,

I'm using Sirius to create a proof of concept to see if Sirius fits in to build a new editor for our application.

I am using the latest version (nightly) of Sirius and Eclipse Luna.

Once the editor is built, I have to include it in our main project.
The problem is that the project is being done under Eclipse Helios.

Will this be a problem even if Sirius is used to build the editor in Eclipse Luna?

Kind regards,
Ignacio

[Updated on: Tue, 03 June 2014 09:16]

Report message to a moderator

Re: Question about incompatibilities [message #1385002 is a reply to message #1384985] Tue, 03 June 2014 10:31 Go to previous message
Maxime Porhel is currently offline Maxime Porhel
Messages: 80
Registered: July 2009
Member
Le 03/06/2014 15:16, Ignacio Arechaga Fernandez a écrit :
> Hi all,

Hi,
>
> I'm using Sirius to create a proof of concept to see if Sirius fits in
> to build a new editor for our application.
>
> I am using the latest version (nightly) of Sirius and Eclipse Luna.
>
> Once the editor is built, I have to include it in our main project.
> The problem is that the project is being done under Eclipse Helios.

As mentioned in [1] and [2], Sirius is not supposed to be compatible
with Eclipse Helios (3.6). If you try to deploy the editor in Helios,
you might give us some feedback with the identified issues to see if
there are only minor modifications to be compatible.

>
> Will this be a problem even if Sirius is used to build the editor in
> Eclipse Luna?

If your targeted environment is different from your development
environmment, you might look into target platforms [3]


>
> Kind regards,
> Ignacio

Regards,

Maxime

[1]
https://wiki.eclipse.org/Sirius/Compatibility_and_Migration#Supported_Platforms
[2] https://wiki.eclipse.org/Sirius/1.0.0M7#Compatibility
[3]
http://help.eclipse.org/kepler/index.jsp?topic=%2Forg.eclipse.pde.doc.user%2Fconcepts%2Ftarget.htm
Previous Topic:Sirius capabilities
Next Topic:Export diagram as image on Save action
Goto Forum:
  


Current Time: Thu Aug 28 05:16:29 EDT 2014

Powered by FUDForum. Page generated in 0.01555 seconds